Skip to main content
POST
/
runwayml
/
v1
/
image_to_video
official-format (submit video generation task)
curl --request POST \
  --url https://api.example.com/runwayml/v1/image_to_video
import requests

url = "https://api.example.com/runwayml/v1/image_to_video"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/runwayml/v1/image_to_video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Runway’s submit video generation task.mdx for the submit video generation task API.
curl -X POST "https://gptproto.com/runwayml/v1/image_to_video" \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "promptImage": "https://xxx.com/logo.png",
  "seed": 4294967295,
  "model": "runwayml-gen3a_turbo-5",
  "promptText": "cat dance",
  "watermark": false,
  "duration": 5,
  "ratio": "1280:768"
}'
import requests
import json

url = "https://gptproto.com/runwayml/v1/image_to_video"
headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
}

data = {
  "promptImage": "https://xxx.com/logo.png",
  "seed": 4294967295,
  "model": "runwayml-gen3a_turbo-5",
  "promptText": "cat dance",
  "watermark": false,
  "duration": 5,
  "ratio": "1280:768"
}

response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/runwayml/v1/image_to_video";
const headers = {
  "Authorization": "YOUR_API_KEY",
  "Content-Type": "application/json"
};

const data = {
  "promptImage": "https://xxx.com/logo.png",
  "seed": 4294967295,
  "model": "runwayml-gen3a_turbo-5",
  "promptText": "cat dance",
  "watermark": false,
  "duration": 5,
  "ratio": "1280:768"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(data)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error("Error:", error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://gptproto.com/runwayml/v1/image_to_video"

    payload := []byte(`{
"promptImage": "https://xxx.com/logo.png",
"seed": 4294967295,
"model": "runwayml-gen3a_turbo-5",
"promptText": "cat dance",
"watermark": false,
"duration": 5,
"ratio": "1280:768"
}`)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
    req.Header.Set("Authorization", "YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
{
  "error": {
    "message": "Invalid signature",
    "type": "401"
  }
}
{
  "error": {
    "message": "Insufficient balance",
    "type": "403"
  }
}
{
  "error": {
    "message": "Internal server error",
    "type": "500"
  }
}
{
  "error": {
    "message": "Input may not meet the guidelines. Please adjust and try again.",
    "type": "503"
  }
}

Parameters

ParameterTypeRequiredDefaultDescription
promptImagestring❌ Nohttps://xxx.com/logo.pngPromptimage parameter
seedinteger❌ No4294967295Seed parameter
modelstring✅ Yesrunwayml-gen3a_turbo-5The model to use for the request
promptTextstring❌ Nocat dancePrompttext parameter
watermarkboolean❌ NofalseWatermark parameter
durationinteger❌ No5Duration parameter
ratiostring❌ No1280:768Ratio parameter